Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3317 - df does not work on mountpoints that have a space in the name
Summary: df does not work on mountpoints that have a space in the name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-07 17:10 UTC by hot_redox
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 02:50:31 UTC


Attachments (Terms of Use)

Description hot_redox 1999-06-07 17:10:53 UTC
df does not work on mountpoints that have a space in the
name.

Example:

[root@genie home]# mount /dev/hdd "music cd 1"/
mount: block device /dev/hdd is write-protected, mounting
read-only
[root@genie home]# df
Filesystem 1k-blocks Used    Available Use% Mounted on
/dev/hda2  4191269   3859883 331386    92%  /
df: /home/stuph/music\040cd\0401: No such file or directory
[root@genie home]#

I think this also affected Redhat 5.2.

Comment 1 Jay Turner 1999-06-07 18:09:59 UTC
Confirmed in test lab.  Will work (sorta) if you directly quary the
mount point and enclose it in quotes.  Will get something like:

Filesystem           1k-blocks      Used Available Use% Mounted on
df: /tmp/mount\040point: No such file or directory
-                      9717839   8773132    440459  95% /tmp/mount
point

Comment 2 Cristian Gafton 1999-07-29 02:50:59 UTC
Fixed in fileutils-4.0-2 and later


Note You need to log in before you can comment on or make changes to this bug.